Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class CloseBranchDependency

    java.lang.Object
      org.mindswap.pellet.BranchDependency
          org.mindswap.pellet.CloseBranchDependency

All Implemented Interfaces:
  Dependency

    public class CloseBranchDependency

extends BranchDependency

A depedency for a closed disjunct, merge pair, etc. for a branch

Author:
  Christian Halaschek-Wiener

Constructor Summary
`CloseBranchDependency(aterm.ATermAppl assertion, int tryNext, org.mindswap.pellet.Branch theBranch)`

Method Summary
`boolean` | `equals(java.lang.Object other)` Equals method
`int` | `getBranch()`
`aterm.ATermAppl` | `getInd()`
`int` | `hashCode()` Hashcode method TODO: this may not be sufficient
`java.lang.String` | `toString()` ToString method

Methods inherited from class org.mindswap.pellet.BranchDependency
`getAssertion`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloseBranchDependency

    public CloseBranchDependency(aterm.ATermAppl assertion,
                                 int tryNext,
                                 org.mindswap.pellet.Branch theBranch)

Method Detail

### getInd

    public aterm.ATermAppl getInd()

  Returns:

### toString

    public java.lang.String toString()

  ToString method

  Specified by:
    `toString` in interface `Dependency`
  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Equals method

  Specified by:
    `equals` in interface `Dependency`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Hashcode method TODO: this may not be sufficient

  Specified by:
    `hashCode` in interface `Dependency`
  Overrides:
    `hashCode` in class `java.lang.Object`

### getBranch

    public int getBranch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.